MKFS.MINIX(8)

NAZWA
mkfs - tworzy system plików Minix

SKŁADNIA
mkfs.minix [opcje] urządzenie [rozmiar-w-blokach]

OPIS
mkfs.minix tworzy linuksowy system plików MINIX na zadanym urządzeniu (zwykle partycji dysku).

urządzenie występuje zwykle w następującej postaci:

    /dev/hda[1–8] (1. dysk IDE)
    /dev/hdb[1–8] (2. dysk IDE)
    /dev/sda[1–8] (1. dysk SCSI)
    /dev/sdb[1–8] (2. dysk SCSI)

Urządzenie może być urządzeniem blokowym lub plikiem obrazu takowego, lecz nie jest to wymuszone. Urządzenie znakowe nie zapewni wiele rozrywki :-).

Parametr rozmiar-w-blokach jest pożądanym rozmiarem systemu plików, wyrażonym jako liczba bloków. Jest obecny tylko w celu kompatybilności wstecznej. Jeśli pominięto rozmiar, to zostanie on określony automatycznie. Dozwolone są wyłącznie liczby bloków większe od 10 i mniejsze od 65536.

OPCJE

-c, --check
    Przed utworzeniem systemu plików sprawdza uszkodzone bloki urządzenia. Jeżeli zostaną znalezione jakieś błędne bloki, to wyświetlana jest ich liczba.

-n, --namelength długość
    Określa maksymalną długość nazw plików. Obecnie dozwolone są wyłącznie wartości 14 i 30 w przypadku wersji 1 i 2 systemu plików. Wersja 3 pozwala wyłącznie na wartość 30. Domyślnie jest to 30.

-i, --inodes liczba
    Określa liczbę i-węzłów systemu plików.

-l, --badblocks nazwa-pliku
    Odczytuje listę uszkodzonych bloków z pliku o nazwie nazwa-pliku. Plik zawiera po jednym numerze błędnego bloku w każdym wierszu. Wyświetlana jest liczba odczytanych błędnych bloków.

-1  Tworzy system plików Minix w wersji 1. Tak jest domyślnie.

-2, -v
    Tworzy system plików Minix w wersji 2.

-3  Tworzy system plików Minix w wersji 3.

-V, --version
    Wypisuje informację o wersji programu i wychodzi. Długiej opcji nie można łączyć z innymi opcjami.

-h, --help
    Wyświetla pomoc i wychodzi.

KODY ZAKOŃCZENIA
mkfs.minix zwraca jeden z poniższych kodów zakończenia:

0   Bez błędów

8   Błąd działania

16  Błąd użycia lub składni

ZOBACZ TAKŻE
mkfs(8), fsck(8), reboot(8)

DOSTĘPNOŚĆ
Polecenie mkfs.minix jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.